Package org.kapott.hbci.manager

## Enum Feature

- java.lang.Object
- - java.lang.Enum<Feature>
  - - org.kapott.hbci.manager.Feature

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Feature>`

    public enum Feature
    extends java.lang.Enum<Feature>

Kapselt verschiedene Feature-Flags.

### Enum Constant Summary

Enum Constants
`PINTAN_INIT_AUTOMETHOD` Feature, mit dem festgelegt werden kann, ob HBCI4Java versuchen soll, das TAN-Verfahren automatisch zu ermitteln, wenn es noch keine per 3920 erhalten hat.
`PINTAN_INIT_SKIPONESTEPSCA` Feature, mit dem festgelegt werden kann, ob die personalisierte Dialog-Initialisierung ohne HKTAN gesendet werden soll, wenn als TAN-Verfahren 999 verwendet wird.
`SYNC_SEPAINFO` Feature, mit dem festgelegt werden kann, ob HBCI4Java bei der Synchronisierung das HKSPA ausfuehren soll, um die SEPA-Informationen der Konten abzurufen.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `getDefault()` Liefert true, wenn das Feature per Default aktiv sein soll.
`boolean` `isEnabled()` Liefert den aktuellen Zustand des Features.
`void` `reset()` Setzt den Status des Features zur Laufzeit auf die Werksvorgabe zurueck.
`void` `setEnabled​(boolean b)` Setzt den Status des Features zur Laufzeit.
`static Feature` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Feature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### PINTAN_INIT_SKIPONESTEPSCA

    public static final Feature PINTAN_INIT_SKIPONESTEPSCA

Feature, mit dem festgelegt werden kann, ob die personalisierte Dialog-Initialisierung ohne HKTAN gesendet werden soll, wenn als TAN-Verfahren 999 verwendet wird.

#### PINTAN_INIT_AUTOMETHOD

    public static final Feature PINTAN_INIT_AUTOMETHOD

Feature, mit dem festgelegt werden kann, ob HBCI4Java versuchen soll, das TAN-Verfahren automatisch zu ermitteln, wenn es noch keine per 3920 erhalten hat. Leider geht das bei einigen Banken (wie Deutsche Bank) nicht, da die keine personalisierte Dialog-Initialisierung mit TAN-Verfahren 999 erlauben.

#### SYNC_SEPAINFO

    public static final Feature SYNC_SEPAINFO

Feature, mit dem festgelegt werden kann, ob HBCI4Java bei der Synchronisierung das HKSPA ausfuehren soll, um die SEPA-Informationen der Konten abzurufen. Konfigurierbar, weil der bei der Commerzbank nicht funktioniert - dort liefert die Bank eine fuer HBCI4Java nicht lesbare Antwort - und ich weiss leider noch nicht, warum genau das nicht gelesen werden kann. Daher mache ich es erstmal abschaltbar. Siehe https://homebanking-hilfe.de/forum/topic.php?p=153155#real153155

### Method Detail

#### values

    public static Feature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Feature c : Feature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Feature valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### getDefault

    public boolean getDefault()

Liefert true, wenn das Feature per Default aktiv sein soll.

Returns:
  true, wenn das Feature per Default aktiv sein soll.

#### isEnabled

    public boolean isEnabled()

Liefert den aktuellen Zustand des Features.

Returns:
  true, wenn das Feature aktiv ist.

#### setEnabled

    public void setEnabled​(boolean b)

Setzt den Status des Features zur Laufzeit.

Parameters:
  `b` - true, wenn das Feature aktiv sein soll.

#### reset

    public void reset()

Setzt den Status des Features zur Laufzeit auf die Werksvorgabe zurueck.